"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const medusa_react_1 = require("medusa-react");
const ui_1 = require("@medusajs/ui");
const ui_2 = require("@medusajs/ui");
const ui_3 = require("@medusajs/ui");
const ui_4 = require("@medusajs/ui");
function LoyaltyRewardsTable() {
    const { client } = (0, medusa_react_1.useMedusa)();
    const [loyaltyDetails, setLoyalty] = (0, react_1.useState)([]);
    (0, react_1.useEffect)(() => {
        getLoyaltyDetails();
    }, []);
    const getLoyaltyDetails = async () => {
        client.client
            .request("GET", `/admin/loyalty`)
            .then((data) => {
            setLoyalty(data.rewards);
        })
            .catch(() => []);
    };
    return ((0, jsx_runtime_1.jsx)("div", { className: "gap-y-6", children: (0, jsx_runtime_1.jsxs)(ui_1.Container, { className: "p-8 flex flex-col", children: [(0, jsx_runtime_1.jsx)(ui_2.Heading, { level: "h1", children: "Loyalty Rewards" }), (0, jsx_runtime_1.jsx)(ui_4.Text, { size: "base", weight: "regular", children: "Available points for each users" }), (0, jsx_runtime_1.jsxs)(ui_3.Table, { className: "my-4", children: [(0, jsx_runtime_1.jsx)(ui_3.Table.Header, { children: (0, jsx_runtime_1.jsxs)(ui_3.Table.Row, { children: [(0, jsx_runtime_1.jsx)(ui_3.Table.HeaderCell, { className: "font-bold", children: "Customer Name" }), (0, jsx_runtime_1.jsx)(ui_3.Table.HeaderCell, { className: "font-bold", children: "Email" }), (0, jsx_runtime_1.jsx)(ui_3.Table.HeaderCell, { className: "font-bold", children: "Available points" })] }) }), (0, jsx_runtime_1.jsx)(ui_3.Table.Body, { children: loyaltyDetails.map((loyaltyDetail) => ((0, jsx_runtime_1.jsxs)(ui_3.Table.Row, { children: [(0, jsx_runtime_1.jsx)(ui_3.Table.Cell, { children: loyaltyDetail.user_name }), (0, jsx_runtime_1.jsx)(ui_3.Table.Cell, { children: loyaltyDetail.email }), (0, jsx_runtime_1.jsx)(ui_3.Table.Cell, { children: loyaltyDetail.available_rewards })] }))) })] })] }) }));
}
exports.default = LoyaltyRewardsTable;
