# Valoriz Medusa Loyalty Plugin

Enhance your Medusa store by rewarding your customers with loyalty points.

<p>
  <a href="./LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue" alt="This project is released under the MIT license." />
  </a>
  <a href="https://nodejs.org/" target="_blank">
    <img src="https://img.shields.io/badge/Node.js-%5E20-brightgreen" alt="Requires Node.js version 20 or higher">
  </a>
</p>

## Features

- Earn loyalty points on purchases.
- Redeem points for cash during checkout.
- Configure multiple rule-based reward systems.

---

## Prerequisites

- [Medusa backend](https://docs.medusajs.com/development/backend/install)

---

## Installation

1. Navigate to your Medusa backend directory and run:

```bash
npm i @shiju-s/valoriz-loyalty-plugin
```

2\. In `medusa-config.js` add the following at the end of the `plugins` array:

```js
const plugins = [
  // ...
  {
    resolve: "@shiju-s/valoriz-loyalty-plugin",
    options: {
      enableUI: true,
    },
  },
];
```

---